Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class AddSlaveFileSystemIndexStorage

    java.lang.Object
      org.jboss.as.controller.AbstractAddStepHandler
          org.modeshape.jboss.subsystem.AbstractAddIndexStorage
              org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
                  org.modeshape.jboss.subsystem.AddSlaveFileSystemIndexStorage

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

    public class AddSlaveFileSystemIndexStorage

extends AbstractAddFileSystemIndexStorage

Field Summary
`static AddSlaveFileSystemIndexStorage` | `INSTANCE`

Fields inherited from class org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
`indexSourcePathInDataDirectory, indexStoragePathInDataDirectory`

Fields inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage
`DATA_DIR_VARIABLE`

Method Summary
`protected void` | `writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument backend)`
`protected void` | `writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexStorage)`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage
`addControllersAndDependencies, setIndexSourcePathInDataDirectory, setIndexStoragePathInDataDirectory`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage
`performRuntime, populateModel, writeIndexingConfiguration`

Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler
`execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AddSlaveFileSystemIndexStorage INSTANCE

Method Detail

### writeIndexingBackendConfiguration

    protected void writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context,
                                                     org.jboss.dmr.ModelNode storage,
                                                     EditableDocument backend)
                                              throws org.jboss.as.controller.OperationFailedException

  Overrides:
    `writeIndexingBackendConfiguration` in class `AbstractAddIndexStorage`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### writeIndexStorageConfiguration

    protected void writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                                  org.jboss.dmr.ModelNode storage,
                                                  EditableDocument indexStorage)
                                           throws org.jboss.as.controller.OperationFailedException

  Specified by:
    `writeIndexStorageConfiguration` in class `AbstractAddIndexStorage`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.